/* ofpec_lights.sqf v1.0
   by OFPEC (Mandoble and Planck)

 Switches ON or OFF all the lights around a provided center and a provided distance

 Parameters:
    Center position
    Range from center
    State to switch: "ON" or "OFF"

 Example:
    res = [getPos logic1, 2000, "OFF"]execVM"ofpec_lights.sqf"
*/

private ["_pos", "_range", "_state"];
_pos = _this select 0;
_range = _this select 1;
_state = _this select 2;

_lamps = _pos nearObjects ["StreetLamp", _range];
{_x switchLight _state} forEach _lamps;
